summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-09-05 12:36:32 +0200
committerPacho Ramos <pacho@gentoo.org>2015-09-05 12:36:32 +0200
commitfbad22d821bb2171ec62c2b6b7468b2fceb2c774 (patch)
tree9a4b7519a5f513593a58d05ad1c53ef3ff716e1e /net-misc
parentnet-misc/networkmanager: Remove more obsolete files and old and vulnerable ve... (diff)
downloadgentoo-fbad22d821bb2171ec62c2b6b7468b2fceb2c774.tar.gz
gentoo-fbad22d821bb2171ec62c2b6b7468b2fceb2c774.tar.bz2
gentoo-fbad22d821bb2171ec62c2b6b7468b2fceb2c774.zip
net-misc/networkmanager-openswan: Version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/networkmanager-openswan/Manifest1
-rw-r--r--net-misc/networkmanager-openswan/networkmanager-openswan-1.0.6.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/net-misc/networkmanager-openswan/Manifest b/net-misc/networkmanager-openswan/Manifest
index 08d2d1aa6c7..26ab91a86f7 100644
--- a/net-misc/networkmanager-openswan/Manifest
+++ b/net-misc/networkmanager-openswan/Manifest
@@ -1,4 +1,5 @@
DIST NetworkManager-openswan-0.9.8.4.tar.xz 301068 SHA256 b11bbfeb2eb2efe6392a94f4b8f41efc3c79a947ed2eff3f0881d5bcd2edf107 SHA512 0e32005d979923add3db42333f6bf3f5e6759cde9436a4f6deb9e21f0ec227b5fe91467dbb2e4d95ed576cbfef016096123e36684af006b4b38ed141cc3eab20 WHIRLPOOL d211035e4d2d1ba068a3fed2b09d6177114c1fd90253a8518064fff6b859144441fc42b5388db7ae5b61731d8713dc8c79bcd2caa4490fba0135677f7bfafe25
DIST NetworkManager-openswan-1.0.0.tar.xz 306000 SHA256 baac8816c95cc8d50aa00cbe8a78d8ddeb0b8ce710367e7e776ef36dd80c97fd SHA512 c39a9d21bca6d1a831cdbbe58115801d317e0d3f62f2298d04333a940e425220915e5803fe8e32b9e18a78584acb7e978b885546ab99d15895f9a7281c2cd337 WHIRLPOOL 54dec450f81ddbc9f8554daa2f27d228fc7edd64b72dad2ee203a88b4a61e1955063b8d3680ed3d7660f67b138d9db340e5ac2c352b4fde7228589d44b4c137e
DIST NetworkManager-openswan-1.0.2.tar.xz 307168 SHA256 9a31b792e9b0d6a577a00fe8b9fb45d363bed790b43bbedbf1015fefb164adba SHA512 b1b5b7f8085c1b7ff48970416b527cf28ca617c9073115c0753e36c9f0aa45961febe82a73aa77e51feca677ef5ac3e6c8c7c6d9601b12ecb2eeea8c56899d07 WHIRLPOOL 5cc047b199aff8e1fc27ae038a1ea2c99f34ef508eb0aeeaf6345307eddf8f189f2b9d66e545e97099c128f05c9a51bd779ebe64a46a8d9a2af98a1231d53f58
+DIST NetworkManager-openswan-1.0.6.tar.xz 306648 SHA256 79e1f85d10d6b80548594bedaed990643b730dbc738a2465ca78112dfa5db4e1 SHA512 e1f4fd9fe6e535fa717deb862cbf08e73e5f66a7a3d8ca328f653f009229a3a811de5157f641588a884528a8c9e2d63b22759864fa4d02276b1cf0721c8932ce WHIRLPOOL bf7fc847e8e28180821d14710717bd7cde90786dc3461bcd1791b194b9e619e895044bdd319754ffe6e50390e76e5b40e14d652ef58966e1c9e3db29ca5f30f8
DIST networkmanager-openswan-0.9.8.4-patches.tar.bz2 11604 SHA256 fbf01743fa6cd0cb8986a218d54e5da5d0eb8caed92f05f8aa68a87de07b4a0b SHA512 f488b5c25011ef5af2e862f2f9885b1529448303da47ca611339e8b5929be2212d4dcacc08e5b8075ef3f57ed1bd0f09d163e0582b14dcbf2a81b2dc12cc77b0 WHIRLPOOL d36dd8b68ec70e57ce2aea79ed50aa47e071416396de3a85f6fcdf3c0b722952265608695dc62d2e78f9c51c03a9279edf92386d635d09acdf7ed371f7600e2a
diff --git a/net-misc/networkmanager-openswan/networkmanager-openswan-1.0.6.ebuild b/net-misc/networkmanager-openswan/networkmanager-openswan-1.0.6.ebuild
new file mode 100644
index 00000000000..784318f73e5
--- /dev/null
+++ b/net-misc/networkmanager-openswan/networkmanager-openswan-1.0.6.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME_ORG_MODULE="NetworkManager-${PN##*-}"
+
+inherit gnome2
+
+DESCRIPTION="NetworkManager Openswan plugin"
+HOMEPAGE="https://wiki.gnome.org/Projects/NetworkManager"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk"
+
+RDEPEND="
+ >=dev-libs/glib-2.32:2
+ >=dev-libs/libnl-3.2.8:3
+ >=net-misc/networkmanager-0.9.10:=
+ >=dev-libs/dbus-glib-0.74
+ || ( net-misc/openswan net-misc/libreswan )
+ gtk? (
+ app-crypt/libsecret
+ >=gnome-extra/nm-applet-0.9.10
+ >=x11-libs/gtk+-3.4:3
+ )
+"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ dev-util/intltool
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-more-warnings \
+ --disable-static \
+ --with-dist-version=Gentoo \
+ $(use_with gtk gnome)
+}